List event types
const url = 'https://api.sendtruss.com/v1/event-types';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.sendtruss.com/v1/event-types \ --header 'Authorization: Bearer <token>'By name, 50 to a page.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Paginated set of EventTypeResource
object
object
object
object
Base path for paginator generated URLs.
Number of items shown per page.
The “cursor” that points to the next set of items.
The “cursor” that points to the previous set of items.
Examplegenerated
{ "data": [ { "name": "example", "fields": [ "example" ], "created_at": "example", "updated_at": "example" } ], "links": { "first": "example", "last": "example", "prev": "example", "next": "example" }, "meta": { "path": "example", "per_page": 1, "next_cursor": "example", "prev_cursor": "example" }}Headers
Section titled “Headers”This request’s id. Quote it when you ask us about the request.
The API key is missing, malformed, revoked or expired.
object
What went wrong, for a person to read. It may change, so branch on code.
What went wrong, for your code to branch on. A new code is not a breaking change.
The entry on our errors page that explains this code.
This request’s id, the same as its Request-Id header. Quote it when you ask us about the request.
Example
{ "code": "unauthenticated"}Headers
Section titled “Headers”This request’s id. Quote it when you ask us about the request.
Too many requests. Wait for the seconds in Retry-After.
object
What went wrong, for a person to read. It may change, so branch on code.
What went wrong, for your code to branch on. A new code is not a breaking change.
The entry on our errors page that explains this code.
This request’s id, the same as its Request-Id header. Quote it when you ask us about the request.
Example
{ "code": "rate_limited"}Headers
Section titled “Headers”This request’s id. Quote it when you ask us about the request.
Seconds to wait before trying again.